<!DOCTYPE html>
<html lang="es">
<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">
  <title>WEB CIFO - Panel de control</title>
  <!-- Custom fonts for this template-->
  <link href="/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <!-- Page level plugin CSS-->
  <link href="/vendor/datatables/dataTables.bootstrap4.css" rel="stylesheet">
  <!-- Custom styles for this template-->
  <link href="/css/sb-admin.css" rel="stylesheet">
  <script type="text/javascript">
    if( window.sessionStorage.getItem('Authorization')==null){
      location.href="/login.html";
    }
    var initTime= new Date();
  </script>
</head>
<body id="page-top">
  <nav class="navbar py-0 navbar-expand navbar-dark bg-dark static-top">
    <h1 class=" h6 p-0 m-0 display-inline"><a class="navbar-brand mr-1" href="/">CIFO</a></h1>
    <button class="btn btn-link btn-sm text-white order-1 order-sm-0" id="sidebarToggle" aria-label="menu">
      <i class="fas fa-bars"></i>
    </button>
    <!-- Navbar -->
    <ul class="navbar-nav  ml-auto mr-0 mr-md-3 my-md-0">
      <li class="nav-item dropdown no-arrow">
        <a class="nav-link dropdown-toggle" href="#" id="userDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" aria-label="Perfil">
          <i class="fas fa-user-circle fa-fw"></i>
        </a>
        <div class="dropdown-menu dropdown-menu-right" aria-labelledby="userDropdown">
          <a class="dropdown-item" href="#">Configuracion</a>
          <div class="dropdown-divider"></div>
          <a class="dropdown-item" href="#" data-toggle="modal" data-target="#logoutModal">Salir</a>
        </div>
      </li>
    </ul>
  </nav>
  <div id="wrapper">
    <!-- Sidebar -->
    <ul class="sidebar navbar-nav">
      <li class="nav-item ">
        <a class="nav-link" href="/">
          <i class="fas fa-fw fa-tachometer-alt"></i>
          <span>Panel de control</span>
        </a>
      </li>
      <li class="nav-item active dropdown show">
        <a class="nav-link dropdown-toggle" href="#" id="administracionDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="true">
          <i class="fas fa-fw fa-folder"></i>
          <span>Administración</span>
        </a>
        <div class="dropdown-menu show" aria-labelledby="administracionDropdown">
          <h2  class="h6 dropdown-header"><i class="fa fa-users-cog"></i> Gestión usuarios:</h2>
          <a   class="dropdown-item active" href="/usuarios"><i class="fa fa-user-friends"></i> Usuarios</a>
          <a   class="dropdown-item" href="/roles"><i class="fa fa-tags"></i> Roles</a>
          <div class="dropdown-divider"></div>
          <h3  class="h6 dropdown-header"><i class="fa fa-list"></i> Listados:</h3>
          <a   class="dropdown-item" href="/comunidades"><i class="fa fa-globe"></i> Comunidades</a>
          <a   class="dropdown-item" href="/provincias"><i class="fa fa-map-signs"></i> Provincias</a>
          <a   class="dropdown-item" href="/municipios"><i class="fa fa-home"></i> Municipios</a>
        </div>
      </li>
      <li class="nav-item dropdown ">
        <a class="nav-link dropdown-toggle" href="#" id="ofertaDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-fw fa-graduation-cap"></i>
          <span>Oferta formativa</span>
        </a>
        <div class="dropdown-menu" aria-labelledby="ofertaDropdown">
          <h2 class="h6 dropdown-header"><i class="fa fa-tools"></i> Gestión ofertas:</h2>
          <a class="dropdown-item" href="/ofertas"><i class="fa fa-laptop-code"></i> Ofertas</a>
          <a class="dropdown-item" href="/matriculas"><i class="fa fa-user-graduate"></i> Matriculas</a>
          <div class="dropdown-divider"></div>
          <h3 class="h6 dropdown-header"><i class="fa fa-list"></i> Listados:</h3>
          <a class="dropdown-item" href="/centros"><i class="fa fa-school"></i> Centros</a>
          <a class="dropdown-item" href="/areas"><i class="fa fa-shapes"></i> Areas</a>
          <a class="dropdown-item" href="/cursos"><i class="fa fa-chalkboard"></i> Cursos</a>
          <a class="dropdown-item" href="/profesores"><i class="fa fa-chalkboard-teacher"></i> Profesores</a>
        </div>
      </li>
      <li class="nav-item dropdown ">
        <a class="nav-link dropdown-toggle" href="#" id="bibliotecaDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          <i class="fas fa-fw fa-book"></i>
          <span>Biblioteca</span>
       </a>
       <div class="dropdown-menu" aria-labelledby="bibliotecaDropdown">
          <h2 class="h6 dropdown-header"><i class="fa fa-tools"></i> Gestión biblioteca:</h2>
          <a class="dropdown-item" href="/ejemplares"><i class="fa fa-book"></i> Ejemplares</a>
          <a class="dropdown-item" href="/reservas"><i class="fa fa-address-card"></i> Reservas</a>
          <div class="dropdown-divider"></div>
          <h3 class="h6 dropdown-header"><i class="fa fa-list"></i> Listados:</h3>
          <a class="dropdown-item" href="/libros"><i class="fa fa-book-open"></i> Libros</a>
          <a class="dropdown-item" href="/editoriales"><i class="fa fa-highlighter"></i> Editoriales</a>
          <a class="dropdown-item" href="/autores"><i class="fa fa-pen-nib"></i> Autores</a>
          <a class="dropdown-item" href="/temas"><i class="fa fa-sitemap"></i> Temas</a>
          <a class="dropdown-item" href="/secciones"><i class="fa fa-puzzle-piece"></i> Secciones</a>
        </div>
      </li>
    </ul>

    <div id="content-wrapper">
      <div class="container-fluid">
      
        <!-- Breadcrumbs-->
        <ol class="breadcrumb">
          <li class="breadcrumb-item">
            <a href="/">Panel de control</a>
          </li>
          <li class="breadcrumb-item ">Administración</li>
          <li class="breadcrumb-item active">Usuarios</li>
        </ol>
        
        
        <!-- div#cardUsuarios.card -->
        
        <div id="cardUsuarios" class="card mb-3">
          <div class="card-header">
           <div class="row">
           <div class="col-sm-5">
            <i class="fas fa-user-friends"></i> Lista de usuarios
           </div>
           <div class="col-sm-7">
            <div  class="row" >
              <div class="col text-right">
                <div class="form-group my-0 row">
                <label class="col-4 col-form-label-sm" for="searchRol">Rol:</label>
                <select class="form-control form-control-sm col-8" id="searchRol">
                  <option value="">-- Elija una opción --</option>
                </select>
                
                </div>
              </div>
              <div class="col text-right">
                 <a class="btn btn-sm btn-primary" href="/usuarios/nuevo"><i class="fa fa-user-plus"></i> Nuevo usuario</a>
              </div> 
            </div>
            </div>
           </div>
          </div>
          <div class="card-body">
            <div class="table-responsive">
              <table class="table table-bordered" id="dataTableUsuarios" style="width:100%;border-collapse:collapse" >
                <thead>
                  <tr>
                    <th>#</th>
                    <th>Avatar</th>
                    <th>Nombre</th>
                    <th>Apellidos</th>
                    <th>Email</th>
                    <th>Rol</th>
                    <th class="text-secondary text-center" aria-label="Editar">
                      <span class="sr-only">Editar</span>
                      <i class="fa fa-edit"></i>
                    </th>
                    <th class="text-secondary text-center" aria-label="Eliminar">
                      <span class="sr-only">Eliminar</span>
                      <i class="fa fa-trash"></i>
                    </th>
                  </tr>
                </thead>
                <tfoot>
                  <tr>
                    <th>#</th>
                    <th>Avatar</th>
                    <th>Nombre</th>
                    <th>Apellidos</th>
                    <th>Email</th>
                    <th>Rol</th>
                    <th class="text-secondary text-center" aria-label="Editar">
                      <span class="sr-only">Editar</span>
                      <i class="fa fa-edit"></i>
                    </th>
                    <th class="text-secondary text-center" aria-label="Eliminar">
                      <span class="sr-only">Eliminar</span>
                      <i class="fa fa-trash"></i>
                    </th>
                  </tr>
                </tfoot>
                <tbody>
               </tbody>
            </table>
          </div>
        </div>
        <div class="card-footer small text-muted">Numero de ms: <span></span></div>
      </div> <!-- /div#cardUsuarios.card -->  

    </div> <!-- /.container-fluid -->
      
      <!-- Sticky Footer -->
      <footer class="sticky-footer">
        <div class="container my-auto">
          <div class="copyright text-center my-auto">
            <span>Copyright © Cifo  2019</span>
          </div>
        </div>
      </footer>
    </div>
    <!-- /.content-wrapper -->
  </div>
  <!-- /#wrapper -->
  <!-- Scroll to Top Button-->
  <a class="scroll-to-top rounded" href="#page-top" aria-label="top">
    <i class="fas fa-angle-up"></i>
  </a>
  <!-- Logout Modal-->
  <div class="modal fade" id="logoutModal" tabindex="-1" role="dialog" aria-labelledby="logoutModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h2 class="h5 modal-title" id="logoutModalLabel">Seguro que quiere salir?</h2>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">Elija "Salir" Si desea salir de la sesión..</div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
          <a class="btn btn-primary" href="#" onclick="window.sessionStorage.removeItem('Authorization');location.href='/'" >Salir</a>
        </div>
      </div>
    </div>
  </div>
  
  <!-- div#editModal.modal -->
  <div id="editModal" class="modal fade"  tabindex="-1" role="dialog" aria-labelledby="editModalLabel" aria-hidden="true">
    <div class="modal-dialog  modal-xl" role="document">
      <div class="modal-content ">
        <div class="modal-header">
          <h2 class="h5 modal-title" id="editModalLabel">Editar</h2>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <div class="modal-body">
        
          <div  class="text-danger small text-right">* Campo obligatorio</div>
          <form class="needs-validation" novalidate  >
          <div class="row"><!-- .row -->
           
            <div class="col-xl-9 col-12">
              <input type="hidden" name="id" value="">
              <div class="form-row">
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="nombre">Nombre <small class="text-danger">*</small></label>
                  <input type="text" class="form-control " id="nombre" name="nombre" placeholder="Nombre" value="" required>
                  <div class="invalid-feedback">
                    Este compo es obligatorio y solo letras
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="apellidos">Apellidos <small class="text-danger">*</small></label>
                  <input type="text" class="form-control " id="apellidos" name="apellidos" placeholder="Apellidos" value="" required>
                  <div class="invalid-feedback ">
                    Este compo es obligatorio y solo letras
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="email">Email <small class="text-danger">*</small></label>
                  <input type="text" class="form-control " id="email" name="email" placeholder="Email" value="" required>
                  <div class="invalid-feedback ">
                    Este campo es obligatorio y debe ser una direcciónde correo vàlida
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="id_roles">Rol <small class="text-danger">*</small></label>
                  <select class="form-control " id="id_roles" name="id_roles"  required>
                    <option value="">-- Elije una opción --</option>
                  </select>
                  <div class="invalid-feedback ">
                    Este campo es obligatorio
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="passwd">Contraseña </label>
                  <input type="password" class="form-control " id="passwd" name="passwd" placeholder="Contraseña nueva" value="" required>
                  <div class="invalid-feedback ">
                    Las contraseñas no coinciden.
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="passwd2">Contraseña </label>
                  <input type="password" class="form-control " id="passwd2"  placeholder="Repetir contraseña" value="" required>
                  <div class="invalid-feedback ">
                    Las contraseñas no coinciden.
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="telefon">Teléfono </label>
                  <input type="text" class="form-control " id="telefon" name="telefon" placeholder="Teléfono fijo" value="" required>
                  <div class="invalid-feedback ">
                    El formato no està bien.
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="mobil">Móbil </label>
                  <input type="text" class="form-control " id="mobil" name="mobil" placeholder="Teléfono móbil" value="" required>
                  <div class="invalid-feedback ">
                    El formato no està bien.
                  </div>
                </div>
                <div class="col-lg-2 col-6 mb-3">
                  <label for="active">Estado</label><br>
                  <div class="form-check ">
                    <input class="form-check-input" type="radio" name="active" id="active1" value="1">
                    <label class="form-check-label" for="active1">Activo</label>
                  </div>
                  <div class="form-check ">
                    <input class="form-check-input" type="radio" name="active" id="active0" value=0>
                    <label class="form-check-label" for="active0">No activo</label>
                  </div>
                </div>
                <div class="col-lg-2 col-6 mb-3">
                  <label for="enabled">Bloqueo</label><br>
                  <div class="form-check form-check-">
                    <input class="form-check-input" type="radio" name="enabled" id="enabled1" value="1">
                    <label class="form-check-label" for="active1">No</label>
                  </div>
                  <div class="form-check ">
                    <input class="form-check-input" type="radio" name="enabled" id="enabled0" value=0>
                    <label class="form-check-label" for="active0">Sí</label>
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="id_comunidades">Comunidad </label>
                  <select class="form-control " id="id_comunidades" >
                    <option value="">-- Elija una opción --</option>
                  </select>
                  <div class="invalid-feedback ">
                    Elija una opción de comunidad válida.
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="id_provincias">Provincia 
                    <span class="spinner-border spinner-border-sm d-none" role="status"><span class="sr-only">Loading...</span></span>
                  </label>
                  <select class="form-control " id="id_provincias" >
                    <option value="">-- Elija una opción --</option>
                  </select>
                  <div class="invalid-feedback ">
                    Elija una opción de provincia válida.
                  </div>
                </div>
                <div class="col-lg-4 col-md-6 mb-3">
                  <label for="id_municipios">Municipio 
                    <span class="spinner-border spinner-border-sm d-none" role="status"><span class="sr-only">Loading...</span></span>
                  </label>
                  <select class="form-control " id="id_municipios" name="id_municipios" >
                    <option value="">-- Elija una opción --</option>
                  </select>
                  <div class="invalid-feedback ">
                    Elija una opción de municipio válida.
                  </div>
                </div>
                <div class="col-8 col-lg-8 mb-3">
                  <label for="direccion">Dirección </label>
                  <input type="text" class="form-control " id="direccion" name="direccion" placeholder="Dirección" value="" required>
                </div>
                
                
             </div>
             
            </div>
            <div class="col-xl-3 col-12">
              <div class="card">
                <div class="card-header">Foto <small>( max. 1M jpg,png,gif )</small> </div>
                <div class="card-body"><img alt="foto" class="border-rounded w-100" src=""></div>
                <div class="card-footer">
                  <label for="avatar">Foto de perfil</label>
                  <div class="custom-file">
                    <input type="file" class="custom-file-input"  id="avatar" lang="es">
                    <label class="custom-file-label " for="avatar" data-browse="Explorar">Seleccionar Archivo</label>
                    <div class="invalid-feedback ">
                      El formato no es valido.
                    </div>
                  </div>
                
                </div>
              </div>
            </div>
           
          </div><!-- /.row -->
          </form>
          
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancelar</button>
          <button type="button" class="btn btn-primary" id="btnSave" >Guardar</button>
        </div>
      </div>
    </div>
  </div>
  <!-- /div#editModal.modal -->
  
  <!-- div#removeModal.modal-->
  <div class="modal fade" id="removeModal" tabindex="-1" role="dialog" aria-labelledby="removeModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h2 class="h5 modal-title" id="removeModalLabel">Seguro que quiere eliminar este usuario?</h2>
          <button class="close" type="button" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">×</span>
          </button>
        </div>
        <div class="modal-body">
          <input type="hidden" value=""> Elija "Aceptar" Si desea eliminar este usuario...
        </div>
        <div class="modal-footer">
          <button class="btn btn-secondary" type="button" data-dismiss="modal">Cancelar</button>
          <a class="btn btn-primary" href="#" id="btnRemove" >Aceptar</a>
        </div>
      </div>
    </div>
  </div>
  
  <!--  div#modalAjax.modal -->
  <div id="modalAjax" class="modal"   data-backdrop="static" tabindex="-1" role="dialog">
    <div class="modal-dialog modal-dialog-centered justify-content-center" role="document">
        <!-- <span class="fa fa-spinner fa-spin fa-3x"></span>-->
        <div class="spinner-border text-light"  style="width: 4rem; height: 4rem;" role="status">
          <span class="sr-only">Loading...</span>
        </div>
    </div>
  </div>
  <!-- /div#modalAjax.modal -->
  
  <!-- Bootstrap core JavaScript-->
  <script src="/vendor/jquery/jquery.min.js"></script>
  <script src="/vendor/bootstrap/js/bootstrap.bundle.min.js"></script> 
  <!-- Core plugin JavaScript-->
   <script src="/vendor/jquery-easing/jquery.easing.min.js"></script>
  <!-- Page level plugin JavaScript-->
   <script src="/vendor/chart.js/Chart.min.js"></script> 
   <script src="/vendor/datatables/jquery.dataTables.js"></script> 
   <script src="/vendor/datatables/dataTables.bootstrap4.js"></script> 
  <!-- Custom scripts for all pages-->
   <script src="/js/sb-admin.min.js"></script>
  <!-- scripts for this page-->
  <script type="text/javascript" src="usuarios.js"></script>
  
</body>
</html>